Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class InvalidTargetObjectTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.modelmbean.InvalidTargetObjectTypeException

All Implemented Interfaces:
  Serializable

    public class InvalidTargetObjectTypeException

extends Exception

Exception thrown when an invalid target object type is specified.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`InvalidTargetObjectTypeException()` Default constructor.
`InvalidTargetObjectTypeException(Exception e, String s)` Constructor taking an exception and a string.
`InvalidTargetObjectTypeException(String s)` Constructor from a string.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException()

  Default constructor.

### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException(String s)

  Constructor from a string.

  Parameters:
    `s` - String value that will be incorporated in the message for this exception.

### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException(Exception e,
                                            String s)

  Constructor taking an exception and a string.

  Parameters:
    `e` - Exception that we may have caught to reissue as an InvalidTargetObjectTypeException. The message will be used, and we may want to consider overriding the printStackTrace() methods to get data pointing back to original throw stack.
    `s` - String value that will be incorporated in message for this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.